### Method

# GLib Regex get_string_number

since: 2.14

#### Declaration [src]

    gint
    g_regex_get_string_number (
      const GRegex* regex,
      const gchar* name
    )

#### Description [src]

Retrieves the number of the subexpression named `name`.

Available since: 2.14

#### Parameters

`name`

  Type: `const gchar*`

  Name of the subexpression.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gint`

The number of the subexpression or -1 if `name` does not exists.